<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('service') }}</h1>
      </div>
    </div>
    <div class="container-fuild">
      <Header />
      <ol id="topicPath">
        <li style="margin-left: 320px">
          <router-link to="">
            <a href="dashbaord">
              <font style="vertical-align: inherit"></font>
              <font style="vertical-align: inherit">{{ i18ntext.lngText('service') }}</font>
            </a>
          </router-link>
        </li>
      </ol>
    </div>
    <div class="p-3" style="padding: 10px !important">
      <div class="search-box">
        <div class="search-box-title" id="Bars">
          <div id="bar" style="padding-left: 0; ">

              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add-pro') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/product">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText('add-pro') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('pro_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5;">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText('set-pro') }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText('brands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText('supplier') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                       <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText('unittype') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText('diangosis') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText('category') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText('exchangerate') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText('payment') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/groupService">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText('groupservice') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText('company') }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link to="menupurchase" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText('purchase_order') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText('purchase_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText('recept_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText('serial') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid; margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText('payment_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockonhand" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText('onhands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText('onhand-date') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText('begin-stock') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText('stock-count') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText('stock-tran') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                    <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ i18ntext.lngText('stock-alert') }}
                      <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                      {{ stockcount }} {{ i18ntext.lngText('item') }}
                    </span>
                    </a>
                  </router-link>
                  <router-link to="/ex_alert">
                    <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ i18ntext.lngText('expire-alert1') }}
                      <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                      {{ count_expire }} {{ i18ntext.lngText('item') }}
                    </span>
                    </a>
                  </router-link>

            </div>
          <div id="right" >
            <a
              class="btn-radius bt-pn btn btn-sm"
              data-bs-toggle="dropdown"
              aria-expanded="false"
              style="float: right; color: #f8f5b4; margin-top: -2px; width:79px"
            >
              <i class="fas fa-plus" style="padding-right: 5px"> </i>
              {{ i18ntext.lngText('menu') }}
            </a>
            <ul class="dropdown-menu">
              <li>
                <a

                  class="dropdown-item btn btn-primary"
                  data-bs-toggle="modal"
                  data-bs-target="#printpart"
                  tabindex="10028"
                  ><i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText('print') }}</a
                >
              </li>
              <li>
                <a
                  class="dropdown-item btn btn-primary"
                  data-bs-toggle="modal"
                  data-bs-target="#excelCategory"
                  tabindex="10028"
                  ><i class="fa fa-print" aria-hidden="true"></i> {{i18ntext.lngText('import')  }}</a
                >
              </li>
              <li>
                <a
                  @click="Export()"
                  class="dropdown-item btn btn-primary"
                  data-bs-toggle="modal"
                  data-bs-target="#excelCategory"
                  tabindex="10028"
                  ><i class="fa fa-print" aria-hidden="true"></i> {{i18ntext.lngText('export')  }}</a
                >
              </li>
            </ul>
          </div>
        </div>
        <div class="box">
          <table
            width="100%"
            border="0"
            cellpadding="0"
            cellspacing="0"
            class="table table-striped br-table"
          >
            <thead>
              <tr class="header-table">
                <th>
                  <router-link to="testitem">
                    <div class="button type2" id="uniform-undefined">
                      <span
                        ><i class="fas fa-plus"></i>{{i18ntext.lngText('add_new')  }}<input autocomplete="off"
                          type="button"
                          value="表 示"
                          class="type2"
                          onclick="submit_first_form('/master/jusinsya/index')"
                          style="opacity: 0; width: 54px"
                          tabindex="10025"
                      /></span>
                    </div>
                  </router-link>
                </th>
                <th colspan="3">
                  <input autocomplete="off"
                    type="search"
                    @change="ClearSearch('name')"
                    @input="getProductServiceTests()"
                    v-model="search_form.name"
                    class="text"
                    style="width: 100%"

                    :placeholder="i18ntext.lngText('product_no')+','+i18ntext.lngText('description')+','+i18ntext.lngText('groupservice')"
                  />
                </th>

                <th style="width: 15%">
                  <input autocomplete="off"
                    type="search"
                    @change="ClearSearch('price')"
                    @input="getProductServiceTests()"
                    v-model="search_form.unit_price"
                    class="text"
                    style="width: 100%"
                    :placeholder="'(>,'+i18ntext.lngText('price')+'),'+'(=,'+i18ntext.lngText('price')+')'+','+'(<,'+i18ntext.lngText('price')+')'"
                  />
                </th>
                <th style="width: 10%">
                  <div class="button type2" id="uniform-undefined" @click="getProductServiceTests()">
                    <span
                      ><i class="fa fa-search" aria-hidden="true"></i> {{i18ntext.lngText('search')  }}<input autocomplete="off"
                        type="button"
                        class="type2"
                        style="opacity: 0; width: 54px"
                    /></span>
                  </div>
                </th>
              </tr>
              <tr class="header-table">
                <th style="width: 10%">{{i18ntext.lngText('no')  }}</th>
                <th>{{i18ntext.lngText('product_no')  }}</th>
                <th style="width: 30%">{{i18ntext.lngText('description')  }}</th>
                <th>{{i18ntext.lngText('groupservice')  }}</th>
                <th style="width: 15%">{{i18ntext.lngText('unit_price')  }}</th>
                <th style="width: 10%"></th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(service, index) in ProductServiceTests.data" :key="index">
                <td>{{ 15*(number - 1)  + (index + 1)}}</td>
                <td>{{ service.product_no }}</td>
                <td>{{ service.description }}</td>
                <td>{{ service.group_code }}</td>
                <td>
                  {{ Number(service.unit_price).toLocaleString() }}
                  <span v-if="service.curency_code == 'Riel'">៛</span>
                  <span v-else>$</span>
                </td>
                <td class="text-center">
                  <div
                    class="button type2"
                    id="uniform-undefined"
                    @click="GotoEdit(service)"
                  >
                    <span
                      ><input autocomplete="off"
                        type="button"
                        value="display"
                        class="type2"
                        style="opacity: 0; width: 54px"
                        tabindex="10025"
                      /><i class="fa fa-edit"></i> {{i18ntext.lngText('select')  }}</span
                    >
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
          <div class="box-footer-pagination">
            <pagination :limit="2"
              :data="ProductServiceTests"
              @pagination-change-page="getProductServiceTests"
            />
          </div>
        </div>
      </div>
    </div>

    <!-- Print -->
    <div
      class="modal fade ui-modal"
      id="printpart"
      data-bs-backdrop="static"
      data-bs-keyboard="false"
      tabindex="-1"
      aria-labelledby="staticboomId"
      aria-hidden="true"
    >
      <div class="modal-dialog">
        <div class="modal-content ui-dialog">
          <div class="ui-widget-header">
            <h5 class="modal-title in-header" id="staticBackdropLabel">
              <i class="fa fa-print" aria-hidden="true"></i> {{i18ntext.lngText('print')  }}
            </h5>
            <span
              class="ui-icon ui-icon-closethick"
              data-bs-dismiss="modal"
              aria-label="Close"
            ></span>
          </div>
          <div class="ui-dialog-content">
            <div class="card">
              <div class="card-body print-size">
                <div class="mt-3" id="printProduct" style="height: auto !important">
                  <div style="padding: 0 50px 0 50px">
                    <div class="col-md-12">
                      <div class="text-center">
                        <h3 class="title-purchase">{{i18ntext.lngText('report')  }}{{i18ntext.lngText('service')  }}</h3>
                      </div>
                    </div>
                    <div class="col-container">
                      <div class="col1" style="width: 55%">
                        <p class="p-bg font-size p-pad">{{i18ntext.lngText('company')  }}</p>
                        <p class="p-mg info-pad">
                          <span id="bold">{{i18ntext.lngText('name')  }} :</span>
                          <span id="fon">{{ company.company_name }}</span>
                        </p>
                        <p class="p-mg info-pad">
                          <span id="bold">{{i18ntext.lngText('phonenumber')  }} :</span>
                          <span id="fon">{{ company.company_Phone }}</span>
                        </p>
                        <p class="p-mg info-pad">
                          <span id="bold">{{i18ntext.lngText('email')  }} :</span>
                          <span id="fon">{{ company.company_Email }}</span>
                        </p>
                        <p class="p-mg info-pad">
                          <span id="bold">{{i18ntext.lngText('address')  }} :</span>
                          <span id="fon">{{ company.company_Address }}</span>
                        </p>
                      </div>
                      <div class="col2">
                        <p class="text-center p-bg font-size p-pad">{{i18ntext.lngText('date')  }}</p>
                        <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                        <p class="text-center p-bg font-size p-pad">{{i18ntext.lngText('total')  }}{{i18ntext.lngText('service')  }}</p>
                        <p class="text-center p-mg" id="fon">
                          {{ ProductServiceTests.total }}
                        </p>
                      </div>
                    </div>

                    <div class="" v-for="(service, index) in getobject" :key="index">
                      <ul class="d-flex test-ul">
                        <li style="width: 26%">
                          {{i18ntext.lngText('product_no')  }} :
                          <span class="li-span">{{ service.el.product_no }}</span>
                        </li>
                        <li style="width: 45%">
                          {{i18ntext.lngText('description')  }} :
                          <span class="li-span">{{ service.el.description }}</span>
                        </li>
                        <li style="width: 25%">
                          {{i18ntext.lngText('type')  }} : <span class="li-span">{{ service.el.test_type }}</span>
                        </li>
                        <li style="width: 15%">
                          {{i18ntext.lngText('unit_price')  }} : <span class="li-span">{{ service.el.unit_price }}</span>
                        </li>
                      </ul>
                      <table>
                        <thead>
                          <tr class="test-table">
                            <th style="width: 10%">{{i18ntext.lngText('no')  }}</th>
                            <th style="width: 25%">{{i18ntext.lngText('product_no')  }}</th>
                            <th style="width: 25%">{{i18ntext.lngText('description')  }}</th>
                            <th style="width: 25%">{{i18ntext.lngText('type')  }}</th>
                            <th style="width: 15%">{{i18ntext.lngText('normal_value')  }}</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr v-for="(item, id) in service.items" class="test-table-tr">
                            <td style="width: 10%">{{ id + 1 }}</td>
                            <td style="width: 25%">{{ item.product_no }}</td>
                            <td style="width: 25%">{{ item.description }}</td>
                            <td style="width: 25%">{{ item.test_type }}</td>
                            <td style="width: 15%">{{ item.normal_value }}</td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                    <hr />
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <a
              v-print="'#printProduct'"
              class="btn-purchase btn-light text-capitalize border-0"
              data-mdb-ripple-color="dark"
              ><i class="fas fa-print text-primary"></i> {{i18ntext.lngText('print')  }}</a
            >
          </div>
        </div>
      </div>
    </div>
    <!-- Bell alert -->



  </div>

  <!-- Excel -->
  <div
    class="modal fade ui-modal"
    id="excelCategory"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">
            <i class="fas fa-file-excel"></i>Excel
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div id="purchaseorder">
          <div class="card">
            <div class="card-body">
              <div class="container mb-5 mt-3">
                <div class="container">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 v-if="excel == 'Import'" class="title-purchase">
                    {{ i18ntext.lngText('import') }}
                      </h3>
                      <h3 v-else class="title-purchase">
                    {{ i18ntext.lngText('export') }}

                         </h3>
                    </div>
                  </div>
                  <div
                    class="row my-2 mx-1 justify-content-center table-padding-bot customsroll"
                  >
                    <table class="table table-striped table-borderless" id="exceldata">
                      <thead style="background-color: #84b0ca" class="text-white">
                        <tr>
                          <th scope="col">{{ i18ntext.lngText('no') }}</th>
                          <th scope="col">{{ i18ntext.lngText('product_no') }}</th>
                          <th scope="col">{{ i18ntext.lngText('description') }}</th>
                          <th scope="col">{{ i18ntext.lngText('groupservice') }}</th>
                          <th scope="col">{{ i18ntext.lngText('unit_price') }}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(TestExcel, index) in TestExcels" :key="index">
                          <th v-if="index > 0" style="width: 5%; color: black">
                            {{ index }}
                          </th>
                          <th v-if="index > 0" style="width: 5%; color: black">
                            {{ TestExcel.product_no }}
                          </th>
                          <th v-if="index > 0" style="width: 5%; color: black">
                            {{ TestExcel.description }}
                          </th>
                          <th v-if="index > 0" style="width: 10%; color: black">
                            {{ TestExcel.group_code }}
                          </th>
                          <th v-if="index > 0" style="width: 10%; color: black">
                            {{ TestExcel.unit_price }}
                          </th>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div
            v-if="excel == 'Import'"
            @click="btnSaveExcel()"
            data-bs-dismiss="modal"
            aria-label="Close"
            class="btn-purchase btn-light text-capitalize"
          >
            <input autocomplete="off" type="button" /><i class="fas fa-save"></i> {{ i18ntext.lngText('save') }}
          </div>
          <div
            v-if="excel == 'Import'"
            @change="excelUnit($event)"
            class="btn-purchase btn-light text-capitalize"
          >
            <input autocomplete="off" type="file" /><i class="fas fa-file-excel"></i> {{i18ntext.lngText('imfile')}}
          </div>

          <div
            v-if="excel == 'Export'"
            @click="exportSheet()"
            data-bs-dismiss="modal"
            aria-label="Close"
            class="btn-purchase btn-light text-capitalize"
          >
            <input autocomplete="off" type="button" /><i class="fas fa-save"></i>{{i18ntext.lngText('export')}}
          </div>
        </div>
      </div>
    </div>
  </div>
  <Footer />
  <UserInfo />
</template>

<script>
import Auth from "../../auth/Auth";
import Logo from "../logo.vue";
import Header from "../Header.vue";
import axios from "axios";
import pagination from "laravel-vue-pagination";
import moment from "moment";
import print from "vue3-print-nb";
import readXlsxFile from "read-excel-file";
import * as XLSX from "xlsx/xlsx.mjs";
import i18n from "../../i18n/i18n";
import UserInfo from "../UserInfo.vue";
import Footer from "../footer.vue";

export default {
  name: "testserviceview",
  components: { Header, pagination, Logo,UserInfo,Footer },
  directives: {
    print,
  },
  data() {
    return {
      i18ntext: i18n,
      itemLinks: [
        {
          product_no: "",
          description: "",
          test_type: "",
          normal_value: "",
        },
      ],
      TestExcels: [{}],
      exefile: "",
      checkexcel: [],
      excel: "Import",
      form: {
        sex: "Both",
      },
      ProductServiceTests: [],
      last_page: 1,
      perPage: "",
      currentPage: 0,
      company: [],
      dateformart: "",
      getobject: [],
      search_form: {
        name: "",
        unit_price: "",
      },
      count_expire:0,
      stockcount:0,
      number_page : 1,
      number : 1,
    };
  },
 async mounted() {
    if (Auth.check()) {
        if(!Auth.checkPermission('SERVICE_ALL')){
            this.$router.push('/dashboard');
        }
    }
    let myPagenumber = this.$route.query
     if(JSON.stringify(myPagenumber) === '{}'){
        this.number = 1
     } 
     else {
      this.number = this.$route.query.page
     }
    if(this.$route.query.page != 1){
      this.number_page = this.$route.query.page
      await axios.post("api/v1/productservicetest?page=" + this.number_page,this.search_form).then(({ data }) => {
        this.ProductServiceTests = data;
        
      });
    }else{
      this.getProductServiceTests();
    }

    this.checkedActive();

    this.getcompany();
    this.getServiceTests();
    this.getstockalert()
    this.getExpireAlert()
  },
  methods: {
    isEmpty(){
      if(this.search_form.name == '' && this.search_form.unit_price == ''){
        this.getProductServiceTests()
      }
    },
    getstockalert() {
      axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
        this.stockcount = response.data.data.total;
      });
  },
  async getExpireAlert() {
      axios.get("api/v1/expireAlert").then((res) => {
        this.count_expire = res.data.stock.total;
      });
    },
    exportSheet() {
      this.products.forEach((element) => {
        this.TestExcels.push({
          product_no: element.product_no,
          description: element.description,
          group_code: element.group_code,
          unit_price: element.unit_price,
        });
      });
      this.excel = "Export";
    },
    Export() {
      this.excel = "Export";
    },
    btnSaveExcel() {
      var b = 0;
      this.TestExcels.forEach((el) => {
        if (b != 0) {
          axios.post("api/v1/products/saveDataFformexcel1", el).then((data) => {
            this.getProductServiceTests();
          });
        }
        b++;
      });
    },
    excelUnit(event) {
      this.exefile = "";
      const xlsxfile = event.target.files ? event.target.files[0] : null;
      readXlsxFile(xlsxfile).then((rows) => {
        var x = 0;
        rows.forEach((element) => {
          if (x >= 0) {
            if (x == 0) {
              this.checkexcel = element;
            } else {
              if (
                this.checkexcel[0] == "product_no" &&
                this.checkexcel[1] == "description" &&
                this.checkexcel[2] == "group_code" &&
                this.checkexcel[3] == "unit_price"
              ) {
                this.TestExcels.push({
                  product_no: element[0],
                  description: element[1],
                  group_code: element[2],
                  unit_price: element[3],
                });
                this.addtolinkProduct(element);
              } else {
                this.exefile = " Fail Data";
              }
            }
          }
          x++;
        });
      });
      this.exefile = "";
    },
    addtolinkProduct(element, test_type, normal_value) {
      this.itemLinks.push({
        product_no: element[0],
        description: element[1],
        test_type: test_type,
        normal_value: normal_value,
      });
    },
    checkedActive() {
      var items = document.querySelectorAll(".radio > span");
      for (let i = 0; i < items.length; i++) {
        items[i].addEventListener("click", function () {
          let currentBtn = document.querySelectorAll(".checked");
          currentBtn[0].className = currentBtn[0].className.replace("checked", "");
          this.className += " checked";
        });
      }
    },
    getsex(sex) {
      if (sex == "both") {
        this.form.sex = "Both";
      } else if (sex == "male") {
        this.form.sex = "Male";
      } else {
        this.form.sex = "Female";
      }
    },
    async getProductServiceTests(page = 1) {
      this.$router.push({name: 'Testserviceview', query: {page : page}})
      await axios.post("api/v1/productservicetest?page=" + page,this.search_form).then(({ data }) => {
        this.ProductServiceTests = data;
        this.number = this.$route.query.page
      });
    },
    async getServiceTests() {
      await axios.post("api/v1/getallviewproduct", this.search_form).then((data) => {
        this.getobject = data.data;
      });
    },
    GotoEdit(service) {
      this.$router.push({
        name: "test",
        query: { id: service.product_no },
      });
    },
    async getcompany() {
      await axios.get("/api/v1/getSetup/").then((response) => {
        this.company = response.data;
        this.dateformart = moment(new Date()).format("DD-MM-YYYY");
      });
    },
    ClearSearch(txt) {
      if (txt === "name") {
        this.search_form = {
          name: this.search_form.name,
          unit_price: "",
        };
      }
      if (txt === "price") {
        this.search_form = {
          name: "",
          unit_price: this.search_form.unit_price,
        };
      }
    },
  },
};
</script>
